Bug 196613 - Built system is not bootable from MBR boot loader
Built system is not bootable from MBR boot loader
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-25 20:13 EDT by David K. Means
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 10:44:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David K. Means 2006-06-25 20:13:08 EDT
Description of problem:
Installer produces a perfectly valid system that is inaccessible
to GRUB, on account of BIOS (even LBA) not being able to retrieve
config file.  This leads to a 3-hour turnaround time before a usable
installation can be built.

Version-Release number of selected component (if applicable):


How reproducible:
100%.  But it requires a target disc with non-Linux partition using up
the first 2GB of space.  This is pretty easy to do with a 40GB dis.

Steps to Reproduce:
1.  Use a 1999 BIOS (lots of them still around)
2.  Fill first 2GB with FAT partition
3.  Build Fedora Core 5, letting it take default actions about disc space
assignment.
  
Actual results:
GRUB>
does not boot
GRUB> root (hd0,0)
Error 15 (I think)

Expected results:


Additional info:
Comment 1 Jesse Keating 2006-06-25 20:47:12 EDT
What did you do to fix this?  I'm not sure we can query the bios to see if it is
a 1999 bios as you say to work around it...
Comment 2 David K. Means 2006-06-25 23:43:21 EDT
I was lazy, so to get around this, I deleted all the partitions on the disc,
and created /boot first, so that it would be addressable (no matter how small
the LBA field was).  I recommend that, when the installer comes up with a place
to put the GRUB config file, it check the block address by asking the BIOS to
seek there, and see if an error comes back.  This would save the unsuspecting
user from having to spend three hours wading through all the build screens (and CDs)
before discovering that the system would be unbootable.

Thanks for the quick reply.
Comment 3 Jesse Keating 2006-06-26 09:20:12 EDT
Moving over to anaconda.  Not sure if this is doable.
Comment 4 Jeremy Katz 2006-06-26 10:44:31 EDT
Unfortunately, there's no reliable way to do this -- we used to actually try to
check but there were at least as many false hits as actual helpful ones.  And
given that it's not a problem for modern BIOS'es (which still trigger the false
hit in some cases), keeping the code around was causing more problems than help.

Note You need to log in before you can comment on or make changes to this bug.